Loading...
Searching...
No Matches
TimeUpdateEvent Class Reference

`#include <gnuradio/qtgui/spectrumUpdateEvents.h>`

## Public Member Functions

| TimeUpdateEvent (const std::vector< volk::vector< double > > timeDomainPoints, const uint64_t numTimeDomainDataPoints, const std::vector< std::vector< gr::tag_t > > tags)
| ~TimeUpdateEvent () override
int | which () const
const std::vector< const double * > | getTimeDomainPoints () const
uint64_t | getNumTimeDomainDataPoints () const
bool | getRepeatDataFlag () const
const std::vector< std::vector< gr::tag_t > > | getTags () const

## Static Public Member Functions

static QEvent::Type | Type ()

## Constructor & Destructor Documentation

## TimeUpdateEvent()

TimeUpdateEvent::TimeUpdateEvent | ( | const std::vector< volk::vector< double > > | timeDomainPoints,
|  | const uint64_t | numTimeDomainDataPoints,
|  | const std::vector< std::vector< gr::tag_t > > | tags )

## ~TimeUpdateEvent()

TimeUpdateEvent::~TimeUpdateEvent | ( |  | ) |

override

## Member Function Documentation

## getNumTimeDomainDataPoints()

uint64_t TimeUpdateEvent::getNumTimeDomainDataPoints | ( |  | ) | const

## getRepeatDataFlag()

bool TimeUpdateEvent::getRepeatDataFlag | ( |  | ) | const

## getTags()

const std::vector< std::vector< gr::tag_t > > TimeUpdateEvent::getTags | ( |  | ) | const

## getTimeDomainPoints()

const std::vector< const double * > TimeUpdateEvent::getTimeDomainPoints | ( |  | ) | const

## Type()

QEvent::Type TimeUpdateEvent::Type | ( |  | ) |

inline static

References SpectrumUpdateEventType.

## which()

int TimeUpdateEvent::which | ( |  | ) | const

The documentation for this class was generated from the following file:

- spectrumUpdateEvents.h